RCS file: /cvsroot/gnugo/gnugo/configure.in,v
retrieving revision 1.125
diff -u -p -r1.125 configure.in
|
|
|
|
| 315 | 315 | |
| 316 | 316 | dnl -------- readline support ------------------- |
| 317 | 317 | |
| | 318 | AH_TEMPLATE([READLINE], [Enable GNU Readline support]) |
| | 319 | |
| 318 | 320 | if test "$with_readline" = yes ; then |
| 319 | 321 | |
| 320 | 322 | dnl check for a working termcap and readline library |
| 321 | 323 | AC_SEARCH_LIBS(readline,termcap readline) |
| 322 | 324 | |
| 323 | 325 | if test "$ac_cv_search_readline" != "no" ; then |
| 324 | | AC_DEFINE(READLINE,1,[Enable GNU Readline support]) |
| | 326 | AC_DEFINE(READLINE,1) |
| | 327 | else |
| | 328 | AC_DEFINE(READLINE,0) |
| 325 | 329 | fi |
| 326 | | |
| | 330 | else |
| | 331 | AC_DEFINE(READLINE,0) |
| 327 | 332 | fi |
| 328 | 333 | |
| 329 | 334 | dnl ---------- grid optimisation ------------ |
RCS file: /cvsroot/gnugo/gnugo/configure,v
retrieving revision 1.118
diff -u -p -r1.118 configure
|
|
|
|
| 4302 | 4302 | fi |
| 4303 | 4303 | |
| 4304 | 4304 | if test "$ac_cv_search_readline" != "no" ; then |
| 4305 | | |
| 4306 | | cat >>confdefs.h <<\EOF |
| | 4305 | cat >>confdefs.h <<\EOF |
| 4307 | 4306 | #define READLINE 1 |
| 4308 | 4307 | EOF |
| 4309 | 4308 | |
| | 4309 | else |
| | 4310 | cat >>confdefs.h <<\EOF |
| | 4311 | #define READLINE 0 |
| | 4312 | EOF |
| | 4313 | |
| 4310 | 4314 | fi |
| | 4315 | else |
| | 4316 | cat >>confdefs.h <<\EOF |
| | 4317 | #define READLINE 0 |
| | 4318 | EOF |
| 4311 | 4319 | |
| 4312 | 4320 | fi |
| 4313 | 4321 | |
| … |
… |
|
| 4556 | 4564 | if test "$enable_socket_support" != "no"; then |
| 4557 | 4565 | # Check for all required headers, macros, structures and functions |
| 4558 | 4566 | # at once. |
| 4559 | | echo "$as_me:4559: checking whether socket support can be compiled" >&5 |
| | 4567 | echo "$as_me:4567: checking whether socket support can be compiled" >&5 |
| 4560 | 4568 | echo $ECHO_N "checking whether socket support can be compiled... $ECHO_C" >&6 |
| 4561 | 4569 | if test "${gnugo_cv_sockets_supported+set}" = set; then |
| 4562 | 4570 | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| 4563 | 4571 | else |
| 4564 | 4572 | cat >conftest.$ac_ext <<_ACEOF |
| 4565 | | #line 4565 "configure" |
| | 4573 | #line 4573 "configure" |
| 4566 | 4574 | #include "confdefs.h" |
| 4567 | 4575 | #include <sys/socket.h> |
| 4568 | 4576 | #include <netinet/in.h> |
| … |
… |
|
| 4587 | 4595 | } |
| 4588 | 4596 | _ACEOF |
| 4589 | 4597 | rm -f conftest.$ac_objext conftest$ac_exeext |
| 4590 | | if { (eval echo "$as_me:4590: \"$ac_link\"") >&5 |
| | 4598 | if { (eval echo "$as_me:4598: \"$ac_link\"") >&5 |
| 4591 | 4599 | (eval $ac_link) 2>&5 |
| 4592 | 4600 | ac_status=$? |
| 4593 | | echo "$as_me:4593: \$? = $ac_status" >&5 |
| | 4601 | echo "$as_me:4601: \$? = $ac_status" >&5 |
| 4594 | 4602 | (exit $ac_status); } && |
| 4595 | 4603 | { ac_try='test -s conftest$ac_exeext' |
| 4596 | | { (eval echo "$as_me:4596: \"$ac_try\"") >&5 |
| | 4604 | { (eval echo "$as_me:4604: \"$ac_try\"") >&5 |
| 4597 | 4605 | (eval $ac_try) 2>&5 |
| 4598 | 4606 | ac_status=$? |
| 4599 | | echo "$as_me:4599: \$? = $ac_status" >&5 |
| | 4607 | echo "$as_me:4607: \$? = $ac_status" >&5 |
| 4600 | 4608 | (exit $ac_status); }; }; then |
| 4601 | 4609 | gnugo_cv_sockets_supported="yes" |
| 4602 | 4610 | else |
| … |
… |
|
| 4606 | 4614 | fi |
| 4607 | 4615 | rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext |
| 4608 | 4616 | fi |
| 4609 | | echo "$as_me:4609: result: $gnugo_cv_sockets_supported" >&5 |
| | 4617 | echo "$as_me:4617: result: $gnugo_cv_sockets_supported" >&5 |
| 4610 | 4618 | echo "${ECHO_T}$gnugo_cv_sockets_supported" >&6 |
| 4611 | 4619 | |
| 4612 | 4620 | if test "$gnugo_cv_sockets_supported" = "yes"; then |
| … |
… |
|
| 4616 | 4624 | |
| 4617 | 4625 | else |
| 4618 | 4626 | if test "$enable_socket_support" = "yes"; then |
| 4619 | | { { echo "$as_me:4619: error: |
| | 4627 | { { echo "$as_me:4627: error: |
| 4620 | 4628 | *** Socket support was requested, but cannot be compiled on your system. *** |
| 4621 | 4629 | *** If you think this is a mistake, please report it to <gnugo@gnu.org>. ***" >&5 |
| 4622 | 4630 | echo "$as_me: error: |
| … |
… |
|
| 4624 | 4632 | *** If you think this is a mistake, please report it to <gnugo@gnu.org>. ***" >&2;} |
| 4625 | 4633 | { (exit 1); exit 1; }; }; |
| 4626 | 4634 | else |
| 4627 | | { echo "$as_me:4627: WARNING: |
| | 4635 | { echo "$as_me:4635: WARNING: |
| 4628 | 4636 | *** Unable to compile socket support on your system. It will be disabled. *** |
| 4629 | 4637 | *** If you think this is a mistake, please report it to <gnugo@gnu.org>. ***" >&5 |
| 4630 | 4638 | echo "$as_me: WARNING: |
| … |
… |
|
| 4717 | 4725 | : ${CONFIG_STATUS=./config.status} |
| 4718 | 4726 | ac_clean_files_save=$ac_clean_files |
| 4719 | 4727 | ac_clean_files="$ac_clean_files $CONFIG_STATUS" |
| 4720 | | { echo "$as_me:4720: creating $CONFIG_STATUS" >&5 |
| | 4728 | { echo "$as_me:4728: creating $CONFIG_STATUS" >&5 |
| 4721 | 4729 | echo "$as_me: creating $CONFIG_STATUS" >&6;} |
| 4722 | 4730 | cat >$CONFIG_STATUS <<_ACEOF |
| 4723 | 4731 | #! $SHELL |
| … |
… |
|
| 4893 | 4901 | echo "$ac_cs_version"; exit 0 ;; |
| 4894 | 4902 | --he | --h) |
| 4895 | 4903 | # Conflict between --help and --header |
| 4896 | | { { echo "$as_me:4896: error: ambiguous option: $1 |
| | 4904 | { { echo "$as_me:4904: error: ambiguous option: $1 |
| 4897 | 4905 | Try \`$0 --help' for more information." >&5 |
| 4898 | 4906 | echo "$as_me: error: ambiguous option: $1 |
| 4899 | 4907 | Try \`$0 --help' for more information." >&2;} |
| … |
… |
|
| 4912 | 4920 | ac_need_defaults=false;; |
| 4913 | 4921 | |
| 4914 | 4922 | # This is an error. |
| 4915 | | -*) { { echo "$as_me:4915: error: unrecognized option: $1 |
| | 4923 | -*) { { echo "$as_me:4923: error: unrecognized option: $1 |
| 4916 | 4924 | Try \`$0 --help' for more information." >&5 |
| 4917 | 4925 | echo "$as_me: error: unrecognized option: $1 |
| 4918 | 4926 | Try \`$0 --help' for more information." >&2;} |
| … |
… |
|
| 4968 | 4976 | "config.vc" ) CONFIG_FILES="$CONFIG_FILES config.vc:config.vcin" ;; |
| 4969 | 4977 | "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;; |
| 4970 | 4978 | "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;; |
| 4971 | | *) { { echo "$as_me:4971: error: invalid argument: $ac_config_target" >&5 |
| | 4979 | *) { { echo "$as_me:4979: error: invalid argument: $ac_config_target" >&5 |
| 4972 | 4980 | echo "$as_me: error: invalid argument: $ac_config_target" >&2;} |
| 4973 | 4981 | { (exit 1); exit 1; }; };; |
| 4974 | 4982 | esac |
| … |
… |
|
| 5207 | 5215 | esac |
| 5208 | 5216 | |
| 5209 | 5217 | if test x"$ac_file" != x-; then |
| 5210 | | { echo "$as_me:5210: creating $ac_file" >&5 |
| | 5218 | { echo "$as_me:5218: creating $ac_file" >&5 |
| 5211 | 5219 | echo "$as_me: creating $ac_file" >&6;} |
| 5212 | 5220 | rm -f "$ac_file" |
| 5213 | 5221 | fi |
| … |
… |
|
| 5225 | 5233 | -) echo $tmp/stdin ;; |
| 5226 | 5234 | [\\/$]*) |
| 5227 | 5235 | # Absolute (can't be DOS-style, as IFS=:) |
| 5228 | | test -f "$f" || { { echo "$as_me:5228: error: cannot find input file: $f" >&5 |
| | 5236 | test -f "$f" || { { echo "$as_me:5236: error: cannot find input file: $f" >&5 |
| 5229 | 5237 | echo "$as_me: error: cannot find input file: $f" >&2;} |
| 5230 | 5238 | { (exit 1); exit 1; }; } |
| 5231 | 5239 | echo $f;; |
| … |
… |
|
| 5238 | 5246 | echo $srcdir/$f |
| 5239 | 5247 | else |
| 5240 | 5248 | # /dev/null tree |
| 5241 | | { { echo "$as_me:5241: error: cannot find input file: $f" >&5 |
| | 5249 | { { echo "$as_me:5249: error: cannot find input file: $f" >&5 |
| 5242 | 5250 | echo "$as_me: error: cannot find input file: $f" >&2;} |
| 5243 | 5251 | { (exit 1); exit 1; }; } |
| 5244 | 5252 | fi;; |
| … |
… |
|
| 5299 | 5307 | * ) ac_file_in=$ac_file.in ;; |
| 5300 | 5308 | esac |
| 5301 | 5309 | |
| 5302 | | test x"$ac_file" != x- && { echo "$as_me:5302: creating $ac_file" >&5 |
| | 5310 | test x"$ac_file" != x- && { echo "$as_me:5310: creating $ac_file" >&5 |
| 5303 | 5311 | echo "$as_me: creating $ac_file" >&6;} |
| 5304 | 5312 | |
| 5305 | 5313 | # First look for the input files in the build tree, otherwise in the |
| … |
… |
|
| 5310 | 5318 | -) echo $tmp/stdin ;; |
| 5311 | 5319 | [\\/$]*) |
| 5312 | 5320 | # Absolute (can't be DOS-style, as IFS=:) |
| 5313 | | test -f "$f" || { { echo "$as_me:5313: error: cannot find input file: $f" >&5 |
| | 5321 | test -f "$f" || { { echo "$as_me:5321: error: cannot find input file: $f" >&5 |
| 5314 | 5322 | echo "$as_me: error: cannot find input file: $f" >&2;} |
| 5315 | 5323 | { (exit 1); exit 1; }; } |
| 5316 | 5324 | echo $f;; |
| … |
… |
|
| 5323 | 5331 | echo $srcdir/$f |
| 5324 | 5332 | else |
| 5325 | 5333 | # /dev/null tree |
| 5326 | | { { echo "$as_me:5326: error: cannot find input file: $f" >&5 |
| | 5334 | { { echo "$as_me:5334: error: cannot find input file: $f" >&5 |
| 5327 | 5335 | echo "$as_me: error: cannot find input file: $f" >&2;} |
| 5328 | 5336 | { (exit 1); exit 1; }; } |
| 5329 | 5337 | fi;; |
| … |
… |
|
| 5440 | 5448 | rm -f $tmp/in |
| 5441 | 5449 | if test x"$ac_file" != x-; then |
| 5442 | 5450 | if cmp -s $ac_file $tmp/config.h 2>/dev/null; then |
| 5443 | | { echo "$as_me:5443: $ac_file is unchanged" >&5 |
| | 5451 | { echo "$as_me:5451: $ac_file is unchanged" >&5 |
| 5444 | 5452 | echo "$as_me: $ac_file is unchanged" >&6;} |
| 5445 | 5453 | else |
| 5446 | 5454 | ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |